package cn.minestar.agriculture.mapper;

import java.util.List;

import cn.minestar.agriculture.entity.WxMiniAttach;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author www.minestar.cn/
 * @date 2021-08-10
 */
public interface WxMiniAttachMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public WxMiniAttach selectWxMiniAttachById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param wxMiniAttach 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<WxMiniAttach> selectWxMiniAttachList(WxMiniAttach wxMiniAttach);

    /**
     * 新增【请填写功能名称】
     * 
     * @param wxMiniAttach 【请填写功能名称】
     * @return 结果
     */
    public int insertWxMiniAttach(WxMiniAttach wxMiniAttach);

    /**
     * 修改【请填写功能名称】
     * 
     * @param wxMiniAttach 【请填写功能名称】
     * @return 结果
     */
    public int updateWxMiniAttach(WxMiniAttach wxMiniAttach);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteWxMiniAttachById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWxMiniAttachByIds(Long[] ids);
}
